commit:     f19652144e630cee734ab5838e8f6db761f02353
Author:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
AuthorDate: Sun Mar 13 23:44:06 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 09:34:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1965214

net-misc/seafile: version bump to 8.0.6

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 net-misc/seafile/Manifest             |  1 +
 net-misc/seafile/seafile-8.0.6.ebuild | 59 +++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/net-misc/seafile/Manifest b/net-misc/seafile/Manifest
index 8971168b3dd7..394fc28e72dc 100644
--- a/net-misc/seafile/Manifest
+++ b/net-misc/seafile/Manifest
@@ -3,3 +3,4 @@ DIST seafile-8.0.2.tar.gz 732341 BLAKE2B 
29bf3187a37c0f01261d3afba996e1165ddebe0
 DIST seafile-8.0.3.tar.gz 738066 BLAKE2B 
302de3b5a4f465429955d2819c7b43ddb305cccc76cc7cf67885a75747ec5dcad85d17f94975abdd3b3d54d49a5d9ea05ab7947c3a2b84764b50fe5fb10e7636
 SHA512 
c51edfc094aa509c730b1b3f4ceb911461081689c8cc2564fb866cddaa54c445d9ad12ca9e4e90e98b771eafc6b6e1496e052538a2475a03642cdceb9212115a
 DIST seafile-8.0.4.tar.gz 738250 BLAKE2B 
5502160519144764de16fe50ccc922dd2bce43571aa3485758c23667cb1546e60683f2fe7778c5da6c7a4c18d78f544e72a40ba6857a58cec3fa2b817d7e5d82
 SHA512 
9dad4a4bd288598dbfea316002d0570d759274b55479432f528f78f3a241d6ec826960d65ab5ec5ea4eeca27586398e0db5b76cbbbed27ca3dbd3ac2fd2d7060
 DIST seafile-8.0.5.tar.gz 738268 BLAKE2B 
a142acd9613b4a4aba62640486ee3e79de13274f068e8db69693d93092123f73150e579a38e2aaffc0144cb03a88c56cdac20ca33c0c9a5d09bb8684f184e193
 SHA512 
712a5d445f586beb9cbd425298734181f2eef302dc2f1f7634c4182bd113a7818c948475e9981ce32af218fcc635254e4d5fea28d514ad6eafe169c4a41eb6f9
+DIST seafile-8.0.6.tar.gz 738248 BLAKE2B 
c36904c459429985bf5a6b34546be7af2ba913b4dc5df860858cf73c0d0fe4797fc1fd64a70d8feb3ac2888404e30705540672cdbcc7cea4b91e6229939ed1e4
 SHA512 
261e1c58018f3e427e79a811f67322a2d0ce4cc8bfa913f029bd42bdfa5498f35ec5003cafc8eaf583b0b0ef9cd7159bc4f57136f4fd4270b38327a79e0f95cd

diff --git a/net-misc/seafile/seafile-8.0.6.ebuild 
b/net-misc/seafile/seafile-8.0.6.ebuild
new file mode 100644
index 000000000000..09f56deaa11c
--- /dev/null
+++ b/net-misc/seafile/seafile-8.0.6.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+# Upstream is moving tags repeatedly, then we use commit hash.
+RELEASE_COMMIT="7a61feaba63006d11c09d1020593ba3fcb3fc717"
+
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="File syncing and sharing software with file encryption and group 
sharing"
+HOMEPAGE="https://www.seafile.com/ https://github.com/haiwen/seafile/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/${RELEASE_COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/future[${PYTHON_USEDEP}]
+       ')
+       dev-libs/openssl:=
+       dev-db/sqlite:3
+       dev-libs/glib:2
+       dev-libs/jansson:=
+       dev-libs/libevent:=
+       net-libs/libsearpc[${PYTHON_SINGLE_USEDEP}]
+       net-misc/curl
+       sys-apps/util-linux
+       sys-libs/zlib"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       $(vala_depend)"
+
+S="${WORKDIR}/${PN}-${RELEASE_COMMIT}"
+
+src_prepare() {
+       default
+       eautoreconf
+       vala_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-static
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       # Remove unnecessary .la files
+       find "${ED}" -name '*.la' -delete || die
+       python_fix_shebang "${ED}"/usr/bin/seaf-cli
+}

Reply via email to